> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Block Numbers

> Block one or more numbers for a tenant



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json post /v2/admin/number-blocking/
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/number-blocking/:
    post:
      tags:
        - Number Blocking
      summary: Block Numbers
      description: Block one or more numbers for a tenant
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                tenantId:
                  type: number
                numbers:
                  type: array
                  items:
                    type: string
                    minLength: 10
                    pattern: ^\d+$
                blockReason:
                  type: string
                  maxLength: 255
              required:
                - tenantId
                - numbers
              additionalProperties: false
      responses:
        '200':
          description: Newly blocked numbers
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: number
                      description: Blacklist record ID
                    tenantId:
                      type: number
                      description: Tenant ID
                    number:
                      type: string
                      description: Blocked number
                    blockReason:
                      type: string
                      description: Reason the number was blocked
                    createdAt:
                      anyOf:
                        - type: string
                        - type: 'null'
                      description: When the block was created
                  required:
                    - id
                    - tenantId
                    - number
                    - blockReason
                    - createdAt
                  additionalProperties: false
                  description: Blocked number
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````